
QGIS Application - Bug report #15283

Commander python error

2016-07-14 08:18 AM - Nino Formica

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Unknown

Affected QGIS version:2.16.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23218

Description

When "commander" runs in new release 2.16.0, a Python error is generated :

AttributeError: 'str' object has no attribute 'name' 

Traceback (most recent call last):

  File "C:/OSGEO4~1/apps/qgis/./python/plugins\\processing\\ProcessingPlugin.py", line 149, in openCommander

    self.iface.mapCanvas())

  File "C:/OSGEO4~1/apps/qgis/./python/plugins\\processing\\gui\\CommanderWindow.py", line 51, in init

    self.initGui()

  File "C:/OSGEO4~1/apps/qgis/./python/plugins\\processing\\gui\\CommanderWindow.py", line 77, in initGui

    self.fillCombo()

  File "C:/OSGEO4~1/apps/qgis/./python/plugins\\processing\\gui\\CommanderWindow.py", line 105, in fillCombo

    self.combo.addItem('Processing algorithm: ' + alg.name)

AttributeError: 'str' object has no attribute 'name'

Python version: 2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)] 

QGIS version: 2.16.0-Nødebo Nødebo, d0b3e39

Associated revisions

Revision d3882d55 - 2016-08-28 10:59 PM - Jürgen Fischer

processing: fix population of commander combobox (fixes #15283)

Revision 420311e7 - 2016-08-28 11:00 PM - Jürgen Fischer

processing: fix population of commander combobox (fixes #15283)

(cherry picked from commit d3882d5)

Revision 25886796 - 2016-08-28 11:00 PM - Jürgen Fischer

processing: fix population of commander combobox (fixes #15283)

(cherry picked from commit d3882d5)

History
#1 - 2016-07-20 04:23 AM - Ivan Katanović

Can confirm this bug on Ubuntu installed from http://qgis.org/debian.

Python version: 2.7.12 (default, Jul  1 2016, 15:12:24) [GCC 5.4.0 20160609] 

QGIS version: 2.16.0-Nødebo Nødebo, 2f9ed29

#2 - 2016-07-25 04:47 AM - Ivan Katanović

- Assignee set to Victor Olaya

After having looked at the code on github, I saw that Victor added last commit dealing with related code.

I assume that something went wrong during separation of alglist in its own module.

#3 - 2016-08-13 04:15 PM - Randal Hale

Confirm on Xubuntu 16.04 and QGIS 2.16.1

#4 - 2016-08-28 12:34 PM - Yrieix Ruffier

Confirm on Windows 10 and QGis 2.16.1 with python 2.7.12

#5 - 2016-08-28 02:04 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"25886796e3294cc2581e216408c3305ed376a1e2".

#6 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown
